|Title|Install.jsp does not compile on WebLogic 8.1
|Date|09-Aug-2005 12:40:06 EEST
|Version|v2.2.28
|Submitter|81.169.127.6
|[Bug criticality]|[JSPWiki:MediumBug]
|Browser version|n/a
|[Bug status]|FixedBug
|[PageProvider] used|n/a
|Servlet Container|WebLogic 8.1sp3
|Operating System|n/a
|URL|/Install.jsp
|Java version|1.4.2_05-b04

Install.jsp does not compile.  It contains scriptlets with "getServletContext()".  As I understand this method is not part of javax.servlet.jsp.JspPage, and thus not portable across containers.  After changing all instances of "getServletContext()" to "application", it compiles and runs fine.

--JoachimMaes

Oops.  You may be right...

--JanneJalkanen

Fixed in 2.2.32.

-- JanneJalkanen

Is 2.2.32 a stable version? In the download section I cannot find it, where can I download it?

-- [Matthias Gasser|mailto:Matthias.Gasser@web.de]

It's in there now.

-- JanneJalkanen

Perfect, it works fine. Thanks a lot.

-- [Matthias Gasser|mailto:Matthias.Gasser@web.de]